﻿* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

body {
    font-family: 'Roboto', sans-serif;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-color: white;
}

.frmVal {
    margin-top: 20px;
    display: grid;
    grid-gap: 5px;
    grid-row-gap: 20px;
    grid-template-columns: 1fr 10px;
    padding-left: 5px;
}

.formulario__login .frmVal 
{
    margin-top: 20px;
    grid-row-gap: 20px;
}

.formulario__register .frmVal 
{
    margin-top: 10px;
    grid-row-gap: 10px;
}

.formulario__recuperacion .frmVal 
{
    margin-top: 20px;
    grid-row-gap: 20px;
}

.frmVal div 
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.contenedor_login_register .ValForm 
{
    margin-left: 5px;
    display: grid;
    grid-template-columns: 1fr 5px;
}

.detAlerta 
{
    margin: 20px;
    display: grid;
    grid-template-columns: 50px 1fr;
    justify-content: center;
    align-items: center;
}

.vsAlerta 
{
    font-size: 14px;
}

.RadWindow.RadWindow_Metro.rwRoundedCorner 
{
    border-radius: 20px;
}

.RadWindow.RadWindow_Metro 
{
    margin: 0px;
    padding: 0px;
    border: 2px solid #46A2FD;
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.377);
    color: rgb(255, 255, 255);
    border-radius: 10px 10px 10px 10px;
    background-color: #46A2FD;
}

    .RadWindow.RadWindow_Metro .rwContent {
        border: 2px solid #46A2FD;
        box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.377);
        color: rgb(255, 255, 255);
        border-radius: 10px 10px 10px 10px;
        background-color: #46A2FD;
        margin: 0px;
        padding: 0px;

    }

.RadNotification_default .rnTitleBar 
{
    background-color: red;
}

.msjTitNotificacion 
{
    padding-top: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.msjBtnNotificacion 
{
    margin-top: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contenedor__main 
{
    width: 100%;
    padding: 20px;
    margin: auto;
    position: absolute;
    top: 50%;
    height: 414px;
    margin-top: -207px;
}

.dvimgLogoCont 
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;

}

.imgLogoCont {
    display: none;
    top: -100px;
    position: absolute;

}

.contenedor__todo 
{
    width: 100%;
    max-width: 800px;
    margin: auto;
    position: relative;
}

.caja__trasera 
{
    width: 100%;
    height: 373px;
    padding: 0px 20px;
    display: flex;
    justify-content: center;
    backdrop-filter: blur(10px);
    background-color: rgba(0,128,255,0.5);
}

.caja__trasera-login 
{
    width: 100%;
}

.caja__trasera-register 
{
    width: 100%;
}

.caja__trasera .imgLogo 
{
    margin-top: 0px;
}

.caja__trasera div 
{
    margin: 10px 10px;
    color: white;
    transition: all 500ms;
    text-align: center;
}

.caja__trasera div .h3 
{
    font-weight: 400;
    font-size: 26px;
}

.caja__trasera div .p 
{
    font-size: 16px;
    margin-top: 35px;
}

.caja__trasera .btn 
{
    margin-top: 20px;
    padding: 10px 40px;
    border: 2px solid #fff;
    background: transparent;
    font-size: 18px;
    width: 220px;
    height: 46px;
    font-weight: 700;
    cursor: pointer;
    color: white;
    outline: none;
    transition: all 300ms;
    border-radius: 10px;
}

.caja__trasera .button:hover 
{
    background: #fff;
    /*color: #46A2FD; Diseño anterior color Azul Claro*/
    /*color: #0f59b0; Diseño anterior color Azul obscuro*/
    color: #46A2FD;
}
/*Formularios*/
.contenedor_login_register
{
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 350px;
    position: relative;
    top: -187px;
    left: 30px;
    transition: left 500ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.contenedor_login_register .frm 
{
    width: 100%;
    padding: 30px 20px;
    background: #fff;
    position: absolute;
    border-radius: 20px;
}

.contenedor_login_register .frm .h2 
{
    margin-top: 11px;
    font-size: 30px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 20px;
    color: #0f59b0;  
}

.contenedor_login_register .frm .p 
{
    margin-top: 10px;
    color: #6c757d;
    font-size: 16px;
}

.contenedor_login_register .frm .txt 
{
    width: 100%;
    border: none;
    outline: none;
    font-size: 14px;
    background: #F2F2F2;
    padding: 10px;
    transition: all 500ms;
}

.contenedor_login_register .frm .txtVal 
{
    width: 100%;
    border: none;
    outline: none;
    font-size: 14px;
    padding: 10px;
    background-color: #fce4e4;
    transition: all 500ms;
}

.contenedor_login_register .frm .lnk 
{
    font-size: 12px;
    /*color: #46A2FD; Diseño anterior color Azul*/
    color: #0f59b0;
}

.contenedor_login_register .frm .linkforms 
{
    display: none;
}

.contenedor_login_register .frm .btn 
{
    padding: 10px 20px;
    margin-top: 20px;
    margin-bottom: 0px;
    border: none;
    font-size: 18px;
    font-weight: 700;
    width: 100%;
    height: 42px;
    /*background: #46A2FD; Diseño anterior color Azul*/
    background: #0f59b0;
/*    color: #0f59b0;*/
    color: white;
    cursor: pointer;
    outline: none;
    border-radius: 10px;
}

/* Formulario Login */
.contenedor_login_register .formulario__login 
{
    position: absolute;
    top: 50%;
    height: 414px;
    margin-top: -207px;
    opacity: 1;
    display: block;
    /*display: none; */
}

.contenedor_login_register .formulario__login .btn 
{
    margin-top: 30px;
    margin-bottom: 30px;
}

.contenedor_login_register .formulario__login .linkforms 
{
    margin-top: 25px;
}
/* Formulario de Registro */
.contenedor_login_register .formulario__register 
{
    position: absolute;
    top: 50%;
    height: 580px;
    margin-top: -289px;
    padding: 5px 20px;
    display: none;
    /*display: block;*/
}

.contenedor_login_register .formulario__register .h2 
{
    margin-bottom: 10px;     
}

.contenedor_login_register .formulario__register .p 
{
    margin-top: 10px;
}

.contenedor_login_register .formulario__register .linkforms 
{
    margin-top: 10px;
}

.contenedor_login_register .formulario__register .btn 
{
    margin-top: 10px;
}

.contenedor_login_register .formulario__register .opPerfil 
{
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.contenedor_login_register .formulario__register .opPerfilB 
{
    display: flex;
    height: 27px;
}

.contenedor_login_register .formulario__register .opPerfilB .p 
{
    display: flex;
    height: 27px;
    font-size: 16px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.43;
    letter-spacing: 0.16px;
    color: #525252;
}

.contenedor_login_register .formulario__register .opPerfil .opPerfilLeft 
{
    padding: 5px 0px;
    font-size: 16px;
    border-radius: 10px 0px 0px 10px;
    cursor: pointer;
    outline: none;
    transition: all 300ms;
    border: 2px solid #dde1e6;
    background: #dde1e6;
    color: #161616;
}

.contenedor_login_register .formulario__register .opPerfil .opPerfilRight
{
    padding: 5px 0px;
    font-size: 16px;
    border-radius: 0px 10px 10px 0px;
    cursor: pointer;
    outline: none;
    transition: all 300ms;
    border: 2px solid #dde1e6;
    background: #dde1e6;
    color: #161616;
}

.contenedor_login_register .formulario__register #btnUsuario.Activo 
{
    border: 2px solid #0f59b0;
    background: #0f59b0;
    color: #fff;
}

.contenedor_login_register .formulario__register #btnAdministrador.Activo 
{
    border: 2px solid #0f59b0;
    background: #0f59b0;
    color: #fff;
}

.contenedor_login_register .formulario__register .terminos 
{
    display: grid;
    margin-top: 10px;
    grid-gap: 10px;
    grid-column-gap: 5px;
    grid-template-columns: 20px 10px 1fr;
    grid-template-areas:
        "esp1    esp2    esp3";
    justify-content: center;
    align-items: center;
}

.contenedor_login_register .formulario__register .terminos .esp1 
{
    grid-area: esp1;
    z-index: 5000;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contenedor_login_register .formulario__register .terminos .esp2 
{
    grid-area: esp2;
}

.contenedor_login_register .formulario__register .terminos .esp3 
{
    grid-area: esp3;
    z-index: 5000;
}

/* Formulario de Recuperacion */
.contenedor_login_register .formulario__recuperacion 
{
    position: absolute;
    padding: 70px 20px;
    top: 50%;
    height: 360px;
    margin-top: -180px;
    display: none;
    /*display: block;*/ 
}

.contenedor_login_register .formulario__recuperacion .btn 
{
    margin-top: 30px;
    margin-bottom: 10px; 
}

.contenedor_login_register .formulario__recuperacion .linkforms 
{
    margin-top: 25px;
}

.ContenedorWin {
    width: 100%;
    height: 100%;
}

/*Responsive Design*/
/* 
smart wathch 320×320
xs   --  320px — 480px: Móviles -- H 320x480,  360x640, 480x320, 480x854
s    --  481px — 768px: iPads, Tablets -- H 480x320, 767x 480, 768x1024, 
m    --  769px — 1023px: Small screens, laptops -- H 800x600, 960x540
lg   --  1024px — 1299px: Desktops --H 1024x640, 1024x800, 1280x1024
xg   --  1300px en adelante —  Extra large -- 1600x900, 1920x1080
*/
/* xg   --  1401px en adelante —  Extra large screens, TV */
/* lg   --  1024px — 1299px: Desktops */
/* m    --  769px — 1023px: Small screens, laptops  */
/*Medida Default*/
/* s    --  481px — 768px: iPads, Tablets  */
@media (max-width: 768px) 
{
    .imgLogoCont {
        display: block;
        top: -200px;
        max-width:180px;
    }

    .contenedor__main 
    {
        padding: 0px;
    }

    .caja__trasera 
    {
        display: none;
    }

    .contenedor__todo 
    {
        margin-top: -100px;
    }

    .contenedor_login_register 
    {
        top: 0px;
        left: 50%;
        margin-left: -175px;
    }

    .contenedor_login_register .frm 
    {
        padding: 40px 20px;
    }

    .contenedor_login_register .formulario__login 
    {
        margin-top: 0px;
        padding: 40px 20px;
    }

    .contenedor_login_register .formulario__register {
        margin-top: 90px;
        padding: 10px 20px;
        height: 615px;
    }


    .contenedor_login_register .formulario__register .h2 
    {
        margin-top: 0px;
        margin-bottom: 5px;
    }

    .contenedor_login_register .formulario__register .p 
    {
        margin-top: 5px;
        margin-bottom: 5px;
    }

    .contenedor_login_register .formulario__recuperacion {
        margin-top: 0px;
        padding: 60px 20px;
        height: 400px;
    }

    .contenedor_login_register .frm .linkforms 
    {
        display: block;
    }

    .contenedor_login_register .formulario__login .btn 
    {
        margin-bottom: 15px;
    }

}
/* xs   --  320px — 480px: Móviles   */
@media (max-width: 480px) 
{
    .imgLogoCont {
        display: block;
    }

    .dvimgLogoCont {
        top: -100px;
        min-width: 340px;
    }

    .contenedor__todo 
    {
        width: 100%;
        padding: 0px 10px;
    }

    .contenedor_login_register 
    {
        max-width: 100%;
        margin-left: 0px;
        left: 0px;
    }

    .contenedor_login_register .frm {
        min-width: 340px;
    }

    .contenedor_login_register .formulario__login {
        height: auto;
    }
        .contenedor_login_register .formulario__register {
            height: 590px;
        }
    .contenedor_login_register .formulario__recuperacion {
        height: auto;
        height: 360px;
    }

    .contenedor_login_register .formulario__login .btn {
        margin-bottom: 30px;
    }
}
/*Responsive Design Height*/
@media (max-height: 699px ) 
{
    .contenedor__main 
    {
        height: 100%;
        padding: 0px;
        top: 0%;
        margin-top: 0px;
    }

    .caja__trasera 
    {
        top: 0%;
        margin-top: 80px;
    }

    .contenedor_login_register 
    {
        top: 0px;
    }

    .contenedor_login_register .formulario__login 
    {
        margin-top: -393px;
    }

    .contenedor_login_register .formulario__register {
        margin-top: -393px;

    }

    .contenedor_login_register .formulario__recuperacion 
    {
        margin-top: -367px;
    }
}

@media (max-height: 1000px) and (max-width: 768px) 
{
    .contenedor__main 
    {
        height: 100%;
        padding: 0px;
        top: 0%;
        margin-top: 0px;
    }

    .dvimgLogoCont {
        position: absolute;
        top: 810px;
        left: 0px;
        align-items: center;
        justify-content: center;
    }

    .contenedor_login_register 
    {
        top: 0px;
    }

    .contenedor_login_register .formulario__login 
    {
        margin-top: 107px;
    }

    .contenedor_login_register .formulario__register 
    {
        margin-top: 200px;
    }

    .contenedor_login_register .formulario__recuperacion 
    {
        margin-top: 107px;
    }
}

@media (max-height: 699px) and (max-width: 480px) 
{
    .contenedor__todo 
    {
        width: 100%;
        padding: 0px 10px;
    }

    .contenedor_login_register 
    {
        max-width: 100%;
        margin-left: 0px;
        left: 0px;
    }
}
@media (max-height: 504px) and (max-width: 1290px) {
    .contenedor_foot {
        margin-top: 230px;
        position: relative;
    }

}

@media (max-height: 504px) and (max-width: 768px) {
    .contenedor_foot {
        margin-top: 810px;
        position: relative;
        padding: 0px 20px 0px 20px;
    }

}
/*********************Verificacion************************************************/
.verwin {
    width: 600px !important;
    height: 300px !important;
}

@media (max-width: 610px) {
    .verwin {
        width: 95% !important;
    }
}